[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

FC4 minimal build root



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I've been testing out FC4 builds with the minimal build root, and came
across one problem:  binaries aren't stripped because /usr/bin/eu-strip
is missing.  It seems that rpm-build in FC5/rawhide both
"Requires: elfutils", but rpm-build on FC4 does not.

I spotted a couple of bugzilla reports[1] on this issue, but there
doesn't seem to be an agreement on what, if anything, should pull in the
elfutils requirement.  Apparently somebody eventually decided to add
"Requires: elfutls" to rpm-build for FC5 and devel.

It seems to me that we need to either backport "Requires: elfutils" to
FC4, or add elfutils to the minimal build root, at least for FC4.

- --Mike

[1]https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=132633
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=111363
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)
Comment: Using GnuPG with Fedora - http://enigmail.mozdev.org

iD8DBQFElvmCDeYlPfs40g8RAvYjAJ9uHWULBcWiaV7U1Z0fhu1C9W2Q0wCfV7OW
v45L3dts8MruUbHqobrrx80=
=G8Po
-----END PGP SIGNATURE-----


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]